package net.knarcraft.ffmpegconverter.streams;

import org.jetbrains.annotations.NotNull;

import java.util.Map;

/**
 * A stream type for attached streams that aren't audio, video or subtitles
 */
public class OtherStream extends AbstractStream {

    /**
     * Instantiates a new other stream
     *
     * @param streamInfo <p>All info about the stream</p>
     * @param inputIndex <p>The index of the input file this stream belongs to</p>
     */
    public OtherStream(@NotNull Map<StreamTag, String> streamInfo, int inputIndex) {
        super(streamInfo, inputIndex, 0);
    }

    @Override
    public char streamTypeCharacter() {
        return '?';
    }

}
